UpdateResponderGateway
Updates the description, Auto Scaling group managed endpoint configuration, trust store
configuration, and client routing policy of a responder gateway. This operation also updates
the protocols list in the listener configuration.
You cannot change the domainName, port, and
protocol values that you set when you create a responder gateway. To change any
of them, delete the gateway and create a new one.
Request Syntax
POST /responder-gateway/gatewayId/update HTTP/1.1
Content-type: application/json
{
"clientRoutingPolicy": "string",
"clientToken": "string",
"description": "string",
"domainName": "string",
"listenerConfig": {
"protocols": [ "string" ]
},
"managedEndpointConfiguration": { ... },
"port": number,
"protocol": "string",
"trustStoreConfiguration": {
"certificateAuthorityCertificates": [ "string" ]
}
}
URI Request Parameters
The request uses the following URI parameters.
- gatewayId
-
The unique identifier of the gateway.
Length Constraints: Minimum length of 8. Maximum length of 32.
Pattern:
rtb-gw-[a-z0-9-]{1,25}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientRoutingPolicy
-
The client routing policy of the gateway. This policy controls which Availability Zones RTB Fabric uses to reach the gateway for the requester gateways that send traffic to it. Valid values are the following:
-
AVAILABILITY_ZONE_AFFINITY: RTB Fabric routes each requester's traffic to gateway capacity in the requester's own Availability Zone when the gateway has capacity available there. Otherwise, RTB Fabric routes the traffic to gateway capacity in the other Availability Zones of the gateway. -
ANY_AVAILABILITY_ZONE: RTB Fabric routes each requester's traffic to gateway capacity in every Availability Zone that the subnets of the gateway span. The Availability Zone that the requester is in does not change this.
If you don't specify a value, the gateway keeps its current client routing policy. Changing the policy sets the gateway status to
PENDING_UPDATEuntil the change is complete. RTB Fabric does not support partial Availability Zone affinity, soPARTIAL_AVAILABILITY_ZONE_AFFINITYis not a valid value. For more information, see Configuring Availability Zone affinity in the AWS RTB Fabric User Guide.Type: String
Valid Values:
AVAILABILITY_ZONE_AFFINITY | ANY_AVAILABILITY_ZONERequired: No
-
- clientToken
-
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a UUID type of value
. If you don't provide this value, then AWS generates a random one for you.
If you retry the operation with the same
clientToken, but with different parameters, the retry fails with anIdempotentParameterMismatcherror.Type: String
Required: Yes
- description
-
An optional description for the responder gateway.
Type: String
Pattern:
[A-Za-z0-9 ]+Required: No
- domainName
-
Domain name for the responder gateway. This operation does not change the domain name of an existing gateway. To use a different domain name, delete the gateway and create a new one.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)(?:\.(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?))+Required: No
- listenerConfig
-
The listener configuration for the responder gateway.
Type: ListenerConfig object
Required: No
- managedEndpointConfiguration
-
The configuration for the managed endpoint.
Type: ManagedEndpointConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- port
-
Networking port to use. This operation does not change the port of an existing gateway. To use a different port, delete the gateway and create a new one.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 65535.
Required: Yes
- protocol
-
Networking protocol to use. This operation does not change the protocol of an existing gateway. To use a different protocol, delete the gateway and create a new one.
Type: String
Valid Values:
HTTP | HTTPSRequired: Yes
- trustStoreConfiguration
-
The configuration of the trust store.
Type: TrustStoreConfiguration object
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"clientRoutingPolicy": "string",
"gatewayId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- clientRoutingPolicy
-
The client routing policy of the gateway. If the operation changed this policy, the gateway uses the new policy after its status returns to
ACTIVE. For more information, see Configuring Availability Zone affinity in the AWS RTB Fabric User Guide.Type: String
Valid Values:
AVAILABILITY_ZONE_AFFINITY | ANY_AVAILABILITY_ZONE - gatewayId
-
The unique identifier of the gateway.
Type: String
Length Constraints: Minimum length of 8. Maximum length of 32.
Pattern:
rtb-gw-[a-z0-9-]{1,25} - status
-
The status of the request.
Type: String
Valid Values:
PENDING_CREATION | ACTIVE | PENDING_DELETION | DELETED | ERROR | PENDING_UPDATE | ISOLATED | PENDING_ISOLATION | PENDING_RESTORATION
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request could not be completed because you do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed because of a conflict in the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request could not be completed because of an internal server error. Try your call again.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request could not be completed because the resource does not exist.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request could not be completed because it fails satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: